apiVersion: cert-manager.io/v1
kind: Certificate
metadata:
  name: "acs-wildcard"
  namespace: default
spec:
  secretName: acs-tls
  dnsNames:
    - "{{ cloudstack.stack.hostname }}"
    - "*.{{ cloudstack.stack.hostname }}"
  issuerRef:
{% if cloudstack.plugins.cert_manager.config.issuers.dns01.provider == "cloudflare" %}
    name: letsencrypt-prod
    kind: ClusterIssuer
{% endif %}